Skip to main content
POST
/
api
/
v1
/
runtime
/
v1
/
observability
/
executions
/
{executionId}
/
reviews
Create a review for an execution (SDK)
curl --request POST \
  --url https://api.runflow.ai/api/v1/runtime/v1/observability/executions/{executionId}/reviews \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentId": "66602e46-748e-44f2-a5aa-3712c2393436",
  "rating": "bad",
  "comment": "Bot forneceu informação incorreta sobre horário de funcionamento",
  "tags": [
    "wrong_info",
    "business_hours"
  ],
  "priority": "medium"
}
'
import requests

url = "https://api.runflow.ai/api/v1/runtime/v1/observability/executions/{executionId}/reviews"

payload = {
"agentId": "66602e46-748e-44f2-a5aa-3712c2393436",
"rating": "bad",
"comment": "Bot forneceu informação incorreta sobre horário de funcionamento",
"tags": ["wrong_info", "business_hours"],
"priority": "medium"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '66602e46-748e-44f2-a5aa-3712c2393436',
rating: 'bad',
comment: 'Bot forneceu informação incorreta sobre horário de funcionamento',
tags: ['wrong_info', 'business_hours'],
priority: 'medium'
})
};

fetch('https://api.runflow.ai/api/v1/runtime/v1/observability/executions/{executionId}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Path Parameters

executionId
string
required

Body

application/json
agentId
string
required

Agent ID

Example:

"66602e46-748e-44f2-a5aa-3712c2393436"

rating
enum<string>
required

Rating of the execution

Available options:
good,
bad,
needs_improvement
Example:

"bad"

comment
string
required

Comment explaining the review

Minimum string length: 10
Example:

"Bot forneceu informação incorreta sobre horário de funcionamento"

tags
string[]

Tags to categorize the issue

Example:
["wrong_info", "business_hours"]
priority
enum<string>
default:medium

Priority level

Available options:
low,
medium,
high,
critical

Response

201

Review created